import os
import sys


def is_debug() -> bool:
    """If debug."""
    return 'true' in str(os.environ.get('DEBUG', '')).lower()


def is_testing():
    """If test in progress."""
    _loaded = sys.modules.keys()
    _py_test = '_pytest.python_path' in _loaded
    _unit = 'unittest' in _loaded
    return _py_test or _unit
